Index: apps/app_dial.c
===================================================================
--- apps/app_dial.c	(revision 319526)
+++ apps/app_dial.c	(working copy)
@@ -1917,7 +1917,11 @@
 			res = result;
 		} else if (to) { /* Musta gotten hung up */
 			res = -1;
-		} else { /* Nobody answered, next please? */
+		} else { /* Nobody answered, next please?
+			    Since no one answered, no bridge was created, clear out dialed list
+                            in the event that we want to retry dialing */
+			if (!ast_channel_datastore_remove(chan, datastore))
+				ast_datastore_free(datastore);
 			res = 0;
 		}
 
